(ns backend.sendgrid
  (:require
   [org.aplex.helpers.interface :as h]
   [ajax.core
    :refer [ajax-request]]
   [org.aplex.rest-sendgrid.interface :as m]))

(def response (atom nil))

(-> {:personalizations:to [{:email "oly@digitaloctave.com"
            :name "oly"}]
     :from {:email "hello@theplantscape.com"
            :name "test"}
     :subject "Test sendgrid api"
     :content [{:type "text/plain" :value "body"}]
     }

    (m/send-email)
    (h/attach-handler (partial reset! response))
    )

(-> {:personalizations [{:to [{:email "oly@digitaloctave.com"
                               :name "oly"}]}]
     :from {:email "hello@theplantscape.com"
            :name "test"}
     :subject "Test sendgrid api"
     :content [{:type "text/plain" :value "email body"}
               {:type "text/html" :value "email body"}]
     }

    (m/send-email)
    (h/attach-handler (partial reset! response))
    (ajax-request)
    (deref))

@response

